Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 117253 - when resuming a catalyst build, the clst_CHOST is set wrong
Summary: when resuming a catalyst build, the clst_CHOST is set wrong
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Hosted Projects
Classification: Unclassified
Component: Catalyst (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Catalyst Developers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-12-30 23:36 UTC by SpanKY
Modified: 2006-01-04 12:35 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description SpanKY gentoo-dev 2005-12-30 23:36:32 UTC
i set my chost via the .spec file when building for uClibc stages ... i noticed that at the tail end of a stage1, the build failed due to funky setting of CHOST

turns out it's because i resumed the stage build ... if i build a stage1 straight through, the clst_CHOST var is setup properly ... however, if i kill the build half way through and then restart catalyst, the clst_CHOST is set wrongly to the build host instead of the .spec file

for testing, i added this to the top of targets/stage1/stage1-controller.sh:

 #!/bin/bash
 # Copyright 1999-2005 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Header: $
 
 . ${clst_sharedir}/targets/support/functions.sh
 
+if [[ ${clst_CHOST} != "powerpc-gentoo-linux-uclibc" ]] ; then
+    echo "WTF: '${clst_CHOST}'"
+    exit 1
+else
+    echo "WTF: whoo, clst_CHOST is correct"
+fi
+
 case $1 in
     enter)

i'm building for a uclibc target on a glibc host ... so my make.conf reads:
CHOST="powerpc-unknown-linux-gnu"
while my .spec file reads:
chost: powerpc-gentoo-linux-uclibc

so when i resumed the build, i'd see:
WTF: 'powerpc-unknown-linux-gnu'
but if i cleaned everything and did it straight through, i'd see:
WTF: whoo, clst_CHOST is correct

this is with catalyst-2.0_rc12
Comment 1 Chris Gianelloni (RETIRED) gentoo-dev 2006-01-04 12:35:40 UTC
Fixed in 2.0_rc13